> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find patient by MRN using connection slug

> Search for a patient by MRN using stored OncoEMR credentials.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/integrations/oncoemr/{slug}/patients
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/oncoemr/{slug}/patients:
    get:
      tags:
        - Integration - OncoEMR
      summary: Find patient by MRN using connection slug
      description: Search for a patient by MRN using stored OncoEMR credentials.
      parameters:
        - schema:
            type: string
          in: query
          name: mrn
          required: true
          description: Patient Medical Record Number
        - schema:
            type: string
          in: path
          name: slug
          required: true
          description: The slug of the OncoEMR connection.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  patientId:
                    type: string
                    description: OncoEMR internal patient ID
                  patientName:
                    type: string
                    description: Patient name (Last, First format)
                required:
                  - patientId
                  - patientName
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Authentication failed
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error
                required:
                  - error
                additionalProperties: false

````